#
# spec file for package perl-HTTP-Headers-Fast
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-HTTP-Headers-Fast
Version:        0.22
Release:        1.21
%define cpan_name HTTP-Headers-Fast
Summary:        Faster implementation of HTTP::Headers
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TOKUHIROM/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(HTTP::Date)
BuildRequires:  perl(Module::Build::Tiny) >= 0.035
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::Requires)
Requires:       perl(HTTP::Date)
%{perl_requires}

%description
HTTP::Headers::Fast is a perl class for parsing/writing HTTP headers.

The interface is same as HTTP::Headers.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.md
%license LICENSE

%changelog
* Tue Apr 16 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.22
  see /usr/share/doc/packages/perl-HTTP-Headers-Fast/Changes
  0.22 2019-04-16T01:51:15Z
    Fixed test case(Slaven Rezić)
* Mon Feb 13 2017 coolo@suse.com
- updated to 0.21
  see /usr/share/doc/packages/perl-HTTP-Headers-Fast/Changes
  0.21 2017-02-10T03:10:11Z
  - rename flatten to psgi_flatten for fixing compatibility issue plack/plack#541
    (kazeburo)
  - Copy "content_is_text" method from HTTP::Headers
    (nfg)
* Thu Jun  2 2016 coolo@suse.com
- initial package 0.20
  * created by cpanspec 1.78.08
